# URL to the code repository for the hosted server
# If you fork this repository and/or make changes to the code, reflect that here to comply with AGPLv3
source=https://github.com/DarkflameUniverse/DarkflameServer

# Port to the chat server, same as in chatconfig.ini
chat_server_port=2005

# 0 or 1, should disable chat
disable_chat=0

# Spatial partitioning settings
# 205/12 is 1-1 with LU's terrain. Make sure to keep this ratio correct!
# so 102/24 would be half the size, which nets better phys times. 
# 154/18 is a good middle road
phys_spatial_partitioning=1
phys_sp_tilesize=102
phys_sp_tilecount=24

# Gameplay settings

# Extra feature for DLU, gives a character 2 extra backpack spaces when leveling up
disable_extra_backpack=0

# Extra feature for DLU, shows vanity in the world like extra NPCs and plaques commemorating the project and its creators
disable_vanity=0

# Extra feature for DLU, enables you to race solo
solo_racing=0

# Disables the anti-speedhack system. If you get kicked randomly you might want to disable this, as it might just be lag
disable_anti_speedhack=0

# 0 or 1, check server fdb (res/CDServer.fdb) against clients
check_fdb=0

# 0 or 1, DLU leaderboards will rate Avant Gardens Survival based on score by default.
# This option should be set to 1 if you would like it to reflect the game when it was live (scoring based on time).
classic_survival_scoring=0

# If this value is 1, pets will consume imagination as they did in live.  if 0 they will not consume imagination at all.
pets_take_imagination=1

# If you would like to increase the maximum number of best friends a player can have on the server
# Change the value below to what you would like this to be (5 is live accurate)
max_number_of_best_friends=5

# Disables loot drops
disable_drops=0
